Skip to main content

/cosmos/gov/v1beta1/proposals/{proposal_id}/votes

GET

Votes queries votes of a given proposal.
Path Parameters
proposal_idstringrequired
proposal_id is the unique id of a proposal.
Query Parameters
pagination.keystring
key is a value returned in PageResponse.next_key to beginquerying the next page most efficiently. Only one of offset or keyshould be set.
pagination.offsetstring
offset is a numeric offset that can be used when key is unavailable.It is less efficient than using key. Only one of offset or key shouldbe set.
pagination.limitstring
limit is the total number of results to be returned in the result page.If left empty it will default to a value to be set by each app.
pagination.count_totalboolean
count_total is set to true to indicate that the result set should includea count of the total number of items available for pagination in UIs.count_total is only respected when offset is used. It is ignored when keyis set.
pagination.reverseboolean
Set to true to return results in descending order.
Responses
votes defines the queried votes.
proposal_idstring
proposal_id is the unique id of a proposal.
voterstring
voter is the voter address of the proposal.
optionstring
Deprecated: Prefer to use options instead. This field is set in queriesif and only if len(options) == 1 and that option has weight 1. In allother cases, this field will default to VOTE_OPTION_UNSPECIFIED.
options is the weighted vote options.
optionstring
option defines the valid vote options, it must not contain duplicate vote options.
weightstring
weight is the vote weight associated with the vote option.
pagination defines an pagination for the response.
next_keystring
next_key is the key to be passed to PageRequest.key toquery the next page most efficiently. It will be empty ifthere are no more results.
totalstring
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-sei-mainnet.nodit.io/cosmos/gov/v1beta1/proposals/{proposal_id}/votes' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'